Thread: AVX-ECM
View Single Post
Old 2020-12-08, 16:47   #80
bsquared
 
bsquared's Avatar
 
"Ben"
Feb 2007

3,371 Posts
Default

Quote:
Originally Posted by mathwiz View Post
If I do a "git pull" on the latest code, and then "make COMPILER=gcc SKYLAKEX=1", I'm getting a bunch of linker errors:
Those are very similar errors to what is happening here, with someone trying to compile YAFU using gcc 10.2.0. Are you using the same version of gcc, by any chance?

As with yafu, I see no problems with gcc 7.3.0 or icc 18.0.3.

[edit]
I know that defining globals in header files is frowned upon, but I didn't know it was an error as long as the header is only included once. That is why they are protected with the #ifndef X #define X macros. Could that have changed with the latest gcc? Maybe putting a -std=c11 in the make would help?

Last fiddled with by bsquared on 2020-12-08 at 17:02
bsquared is offline   Reply With Quote